# -*- coding: UTF-8 -*-
import urllib,time
print u"哈哈~又来了一只鸵鸟！\n欢迎使用路由器蹭网监控 1.0 \n作者 2452013147@qq.com \n目前测试 TP/水星 还是支持的！"
username=raw_input(u'请输入登录用户：'.encode('gb2312'))
userpassword=raw_input(u'请输入登录密码：'.encode('gb2312'))
t=input(u'请输入循环时间，单位为秒,大于1：'.encode('gb2312'))
xs=raw_input(u'是否显示客户端详细信息 Y/N 大写：'.encode('gb2312'))
if username=='' or userpassword=='' or t<1:
    print u'输入信息错误(5s后自动关闭)。'
    time.sleep(5)
    quit
try:
    while True:
        l=[]
        data=urllib.urlopen("http://"+username+":"+userpassword+"@192.168.1.1/userRpm/AssignedIpAddrListRpm.htm").read()
        data=data[data.find('(')+1:]
        data=data[:data.find('0,0 );')]
        while data.find('"')>=0 :
            data=data[data.find('"')+1:]
            l.append(data[:data.find('",')])
            data=data[data.find('",')+2:]
        print u'目前已有 '+str(len(l)/4)+u' 个客户端在线'
        if xs=='Y':
            i=len(l)
            for a in range(0,i/4):
                print u'['+str(a+1)+u'] 客户端名 '+l.pop(0)+u'  MAC '+l.pop(0)+u'  IP '+l.pop(0)+u'  有效时间 '+l.pop(0)
        time.sleep(t)
except:
    print u'登录失败(5s后自动关闭)。'
    time.sleep(5)
    quit




